Bug 1022816 - rhel7 guest boot failed with "Failed to execute /sbin/init, giving up: Accessing a corrupted shared library"
rhel7 guest boot failed with "Failed to execute /sbin/init, giving up: Access...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Hai Huang
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-24 02:21 EDT by ShupingCui
Modified: 2016-05-16 00:06 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-08 07:48:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (83.89 KB, image/jpeg)
2013-10-24 02:22 EDT, ShupingCui
no flags Details
serial console log (35.52 KB, text/x-log)
2013-10-24 02:23 EDT, ShupingCui
no flags Details

  None (edit)
Description ShupingCui 2013-10-24 02:21:30 EDT
Description of problem:

rhel7 guest boot failed with "Failed to execute /sbin/init, giving up: Accessing a corrupted shared library"

Version-Release number of selected component (if applicable):
Host:
kernel-3.10.0-35.el7.x86_64
qemu-kvm-rhev-1.5.3-10.el7.x86_64
Guest:
kernel-3.10.0-35.el7.x86_64

How reproducible:
only once

Steps to Reproduce:
1. use kvm-autotest to start a round of q35 acceptance test loop
2. rhel7 guest boot failed on this case:
virt.qemu.repeat1.smp_1.4096m.Host_RHEL.7.0.spice.qcow2.virtio_blk.up.virtio_net.RHEL.7.0.x86_64.migrate.tcp


Actual results:
guest boot up successfully 

Expected results:
rhel7 guest boot failed with "Failed to execute /sbin/init, giving up: Accessing a corrupted shared library"

Additional info:
Host:
[root@intel-8400-8-1 ~]# lscpu 
Architecture:          x86_64
CPU op-mode(s):        32-bit, 64-bit
Byte Order:            Little Endian
CPU(s):                2
On-line CPU(s) list:   0,1
Thread(s) per core:    1
Core(s) per socket:    2
Socket(s):             1
NUMA node(s):          1
Vendor ID:             GenuineIntel
CPU family:            6
Model:                 23
Model name:            Intel(R) Core(TM)2 Duo CPU     E8400  @ 3.00GHz
Stepping:              10
CPU MHz:               2992.121
BogoMIPS:              5984.24
Virtualization:        VT-x
L1d cache:             32K
L1i cache:             32K
L2 cache:              6144K
NUMA node0 CPU(s):     0,1

[root@intel-8400-8-1 ~]# free -m
             total       used       free     shared    buffers     cached
Mem:          7591       7075        515          5          0       6733
-/+ buffers/cache:        341       7249
Swap:         7951          0       7951
Comment 1 ShupingCui 2013-10-24 02:22:35 EDT
Created attachment 815631 [details]
screenshot
Comment 2 ShupingCui 2013-10-24 02:23:11 EDT
Created attachment 815633 [details]
serial console log

Note You need to log in before you can comment on or make changes to this bug.